
Infrastructure - Feature #2377

Verify that the object format is valid in CLI

2012-02-23 18:16 - Andrew Pippin

Status: Closed Start date: 2012-02-23

Priority: Normal Due date:  

Assignee: Andrew Pippin % Done: 100%

Category: d1_client_cli Estimated time: 0.00 hour

Target version:    

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

The objecttype variable allows any string to be used.  The given value should be validated against the list of valid strings.

History

#1 - 2012-02-23 18:17 - Andrew Pippin

The list of valid strings is stored on a coordinating node, which may not be available when the value is set.  The allowed values should probably be

cached locally.

#2 - 2012-02-23 20:30 - Matthew Jones

- Tracker changed from Task to Feature

#3 - 2012-02-23 20:33 - Matthew Jones

- Subject changed from Verify that the object type is valid to Verify that the object format is valid in CLI

#4 - 2012-03-01 22:44 - Andrew Pippin

- Status changed from New to Closed

- % Done changed from 0 to 100

  The first time the client tries to set either the @object-format@ or @search-object-format@ session variable, the client will pull all the known formats

from the CN (CNCore.listFormats).  Any format specified by the customer must be on the list of known formats.

(SVN #7291)
